{% extends "layout/user.html" %}
{% block page_title %}Templates{% endblock %}
{% block title %}Templates{% endblock %}
{% block content %}
<div class="row">
  <div class="col s12 m6">
    <div class="card">
      <div class="card-content">
        <span class="card-title">{{obj.name}}</span>
        <p><b>Directorio:</b> {{obj.dir_name}}</p>
        <p><b>CSS:</b> {{obj.css}}</p>
        <p><b>JS:</b> {{obj.js}}</p>
        <p><b>Precio:</b> USD $ {{obj.price}}</p>
        <p><b>Estado:</b> {% if obj.private %}<span class="red-text">Privado</span>{% else %}<span class="green-text">Publico</span>{% endif %}</p>
      </div>
      <div class="card-action">
        {% if request.user.is_superuser %}
        <a href="{% url 'templates_color' obj.id %}" title="Agregar color"><i class="fa fa-plus"></i> Color</a> <a title="importar configuracion" href="{% url 'templates_import' %}"><i class="fa fa-refresh"></i> configuración</a> <a href="{% url 'templates_import_colors' obj.pk %}"><i class="fa fa-upload"></i> colores</a>
        {% endif %}
      </div>
    </div>
  </div>
  <div class="col s12 m6">
      <div class="card-panel">
        <table class="bordered">
            <tbody>
                {% for color in obj.color_set.all %}
                    {% if forloop.first %}
                <tr>{% endif %}
                    <td width="80px" bgcolor="#{{color.hexadecimal}}"> #{{color.hexadecimal}} </td>
                {% if forloop.counter|divisibleby:"4" %}
                </tr>
                <tr>
                {% endif %}
                {% endfor %}
            </tbody>
        </table>
      </div>
      <div class="card-panel">
        <img src="{{ obj.screenshot.url }}" class="responsive-img materialboxed">
      </div>
    </div>
</div>
{% if request.user.is_superuser %}
<div class="fixed-action-btn">
    <a class="btn-floating btn-large orange" href="{% url 'templates_edit' obj.id %}" title="Editar">
        <i class="fa fa-pencil"></i>
    </a>
</div>
{% endif %}
{% endblock %}
{% block js %}
<style type="text/css">td{border-radius:0}</style>
{% endblock%}